package example4;

// Q4: What are the problems with this example?
public abstract class PersistenceManager {
	public void save(User user, Writer writer) throws Exception {
		if(writer instanceof DBWriter) {
			DBWriter dbWriter = (DBWriter)writer;
			dbWriter.writeToDb(user, "blah...blah...blah");
		}
		else if(writer instanceof XMLWriter) {
			XMLWriter xmlWriter = (XMLWriter)writer;
			xmlWriter.writeToFile(user, "blah-blah.blah");
		}
		else {
			throw new Exception("Operation not supported!");
		}
	}
}
